//
//  MyTableView.m
//  BiggerSQL
//
//  Created by Jerry LeVan on Thu Jul 15 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import "MyTableView.h"


@implementation MyTableView

-(void)changeFont:(id)sender
{
  int i;
   NSFont *oldFont = currentFont;
   currentFont = [sender convertFont:oldFont];
   NSArray *theCols = [self tableColumns];
   int colCnt = [self numberOfColumns];
   for(i=0; i< colCnt; i++)
  {   
   [[[theCols objectAtIndex:i] dataCell] setFont:currentFont];
  }
   [self setRowHeight:[[[theCols objectAtIndex:0] dataCell] cellSize].height]; //[self tile];
  // [self setFont:currentFont];
   // record the new font in the defaults
   NSData* inputFontAsData = [NSKeyedArchiver archivedDataWithRootObject:currentFont];
   [[NSUserDefaults standardUserDefaults] setObject:inputFontAsData forKey:@"BSQLtableFont" ];      
}

-(NSFont*)currentFont
{
   return currentFont;
}

-(void)setCurrentFont:(NSFont*)theFont
{
  currentFont=theFont;
}

@end
